/*
 * Copyright (C) 2012 - Juan Ferrer Toribio
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef VN_CONSULTER_H
#define VN_CONSULTER_H

#include <vn/vn.h>

#define VN_TYPE_CONSULTER		(vn_consulter_get_type ())
#define VN_CONSULTER(obj)		(G_TYPE_CHECK_INSTANCE_CAST (obj, VN_TYPE_CONSULTER, VnConsulter))
#define VN_IS_CONSULTER(obj)	(G_TYPE_CHECK_INSTANCE_TYPE (obj, VN_TYPE_CONSULTER))

typedef struct _VnConsulter VnConsulter;
typedef struct _VnConsulterClass VnConsulterClass;

struct _VnConsulter
{
	VnForm parent;
	GtkListStore * model;
	GtkCheckButton * mode;
	GtkComboBoxText * combo;
	GtkTreeView * tv;
	GtkContainer * grid_scroll;
	VnHandler * handler;

	gchar * file;
	guint source;
};

struct _VnConsulterClass
{
	VnFormClass parent;
};

GType	vn_consulter_get_type	();

#endif