/*
 * Copyright (C) 2012 - Juan Ferrer Toribio
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef VN_COLUMN_CHECK_H
#define VN_COLUMN_CHECK_H

#include <vn/vn-column.h>

#define VN_TYPE_COLUMN_CHECK			(vn_column_check_get_type ())
#define VN_COLUMN_CHECK(self)			(G_TYPE_CHECK_INSTANCE_CAST (self, VN_TYPE_COLUMN_CHECK, VnColumnCheck))
#define VN_IS_COLUMN_CHECK(self)		(G_TYPE_CHECK_INSTANCE_TYPE (self, VN_TYPE_COLUMN_CHECK))
#define VN_COLUMN_CHECK_CLASS(klass)	(G_TYPE_CHECK_CLASS_CAST (klass, VN_TYPE_COLUMN_CHECK, VnColumnCheckClass))
#define VN_IS_COLUMN_CHECK_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE (klass, VN_TYPE_COLUMN_CHECK))
#define VN_COLUMN_CHECK_GET_CLASS(self)	(G_TYPE_INSTANCE_GET_CLASS (self, VN_TYPE_COLUMN_CHECK, VnColumnCheckClass))

typedef struct _VnColumnCheck VnColumnCheck;
typedef struct _VnColumnCheckClass VnColumnCheckClass;

struct _VnColumnCheck
{
	VnColumn parent;
};

struct _VnColumnCheckClass
{
	/* <private> */
	VnColumnClass parent;
};

GType		vn_column_check_get_type	();
VnColumn *  vn_column_check_new			();

#endif