/*
 * Copyright (C) 2012 - Juan Ferrer Toribio
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef GVN_AUX_H
#define GVN_AUX_H

#define GETTEXT_PACKAGE "hedera"
#include <glib.h>
#include <glib/gi18n-lib.h>

void	gvn_key_file_save	(GKeyFile * self, const gchar * file);
gchar *	gvn_encode			(const gchar * string);
gchar *	gvn_decode			(const gchar * string);

#endif
